Bug 644401 - virsh help pool-create-as does not give complete information on how to use the command
virsh help pool-create-as does not give complete information on how to use th...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 11:40 EDT by Thomas Schweikle
Modified: 2011-06-10 14:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 14:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Schweikle 2010-10-19 11:40:49 EDT
Description of problem:
"virsh help pool-create-as" does print a small help about how to use the command, but misses information about what is allowed for "type":
root@kvm-test:~# virsh help pool-create-as
  NAME
    pool-create-as - create a pool from a set of args

  SYNOPSIS
    pool-create-as <name> [--print-xml] <type> [<source-host>] [<source-path>] [<source-dev>] [<source-name>] [<target>] [--source-format <string>]

  BESCHREIBUNG
    Erzeuge einen Pool.

  OPTIONEN
    [--name] <string>  Name des Pools
    --print-xml      print XML document, but don't define/create
    [--type] <string>  Typ des Pools
    [--source-host] <string>  source-host for underlying storage
    [--source-path] <string>  source path for underlying storage
    [--source-dev] <string>  source device for underlying storage
    [--source-name] <string>  source name for underlying storage
    [--target] <string>  target for underlying storage
    --source-format <string>  format for underlying storage


Version-Release number of selected component (if applicable):
0.8.3

How reproducible:
Always

Steps to Reproduce:
1. Install libvirt
2. virsh help pool-create-as
3. try to figure out what is allowed for "type"
  
Actual results:
You are lost in space for what "type" is, but it is a necessary option.

Expected results:
Have the information for allowed "type" displayed:
[--type] <string>  Typ of pool one of xxx|yyy|zzz

Additional info:
There are some other bugs related to documentation of virsh ...
Comment 1 Bug Zapper 2011-05-31 07:03:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 14:01:36 EDT
This help docs have been improved in F15 IIRC, so closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.